VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "GPC COM VB Sample"
   ClientHeight    =   3900
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5430
   LinkTopic       =   "Form1"
   ScaleHeight     =   3900
   ScaleWidth      =   5430
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCalc 
      Caption         =   "Calculate"
      Height          =   615
      Left            =   1800
      TabIndex        =   0
      Top             =   1440
      Width           =   1575
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Description: A simple Visual Basic sample of using the GPC COM library.
'              In this sample we will load two polygon difinition files
'              from the local C drive and intersect them.
'
'
' Author: Tom Wolf (tom@www.aftershock.co.il)
' =======================================================================
Option Explicit
Private Sub cmdCalc_Click()
    Dim pPolygonSubject As New GPC_Polygon 'declare and create subject polygon (will hold england)
    Dim pPolygonClip As New GPC_Polygon 'declare and create clip polygon (will hold arrows)
    
    Dim pPolygonRet As GPC_Polygon 'only declare returned polygon
    
    If (pPolygonSubject.Load("c:\england.gpf")) Then 'try loading the "england" polygon
        If (pPolygonClip.Load("c:\arrows.gpf")) Then 'try loading the "arrows" polygon
            
            Dim nStart As Single, nEnd As Single 'calculate performance
            
            nStart = Timer
            Set pPolygonRet = pPolygonSubject.Clip(clipIntersection, pPolygonClip) 'try intersecting them
            nEnd = Timer - nStart
            
            If Not pPolygonRet Is Nothing Then 'test for result
                pPolygonRet.Save "c:\ret.gpf" 'write polygon to local disk
                
                MsgBox "Successfully intersected polygons in: " & CStr(nEnd) & " seconds!", vbInformation
            
                Set pPolygonRet = Nothing 'free result polygon
            Else
                MsgBox "Failed to clip polygons!", vbExclamation
            End If
        Else
            MsgBox "unable to load Arrows polygon!", vbExclamation
        End If
    Else
        MsgBox "Unable to load England polygon!", vbExclamation
    End If
    
    
    Set pPolygonClip = Nothing 'free clip polygon
    Set pPolygonSubject = Nothing 'free subject polygon
End Sub
